Bug 184352 - keyboard layout settings shoud be per-machine
keyboard layout settings shoud be per-machine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 23:19 EST by Alexandre Oliva
Modified: 2008-05-06 20:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-03-07 23:19:10 EST
Description of problem:
Different machines often have different keyboard layouts.  E.g., my primary
desktop has a Brazilian keyboard layout, my backup desktop has a US keyboard
layout, and my notebooks have US keyboard layouts in their built-in keyboards
(although they might have Brazilian keyboards plugged into them occasionally).

It's a bit of a pain that the Gnome keyboard settings in a shared home dir take
precedence over the keyboard layout configured in X.  It's even more of a pain
because the keyboard sequences configured to switch between model settings do
not affect the layout, so even if I switch from Bra to USA, I still have to open
the keyboard settings menu and change the base layout.

Ideally, it should be possible for different settings to be configured for
different hosts (like the resolution settings, for example), but that wouldn't
solve the problem of keyboards with different layouts connected to the same box.
 For that, the model switching hotkey would have to change the layout as well,
and I suppose that would be fine.

Version-Release number of selected component (if applicable):
control-center-2.13.92-2

How reproducible:
Every time

Steps to Reproduce:
1.Using a shared home directory, configure a certain keyboard layout
2.Using the same home directory, configure an alternate keyboard layout on
another machine
3.Switch back and forth between the two boxes with different keyboard layouts
  
Actual results:
You have to change the keyboard settings every time

Expected results:
There should be a way to avoid that.  It's enough of a pain to have to change
the wiring of your fingers to use the two different keyboard layouts, but when
you don't have a choice as to the hardware, it would be nice if the software
could not cause you even more trouble.

Additional info:
Comment 1 Matthias Clasen 2006-09-01 00:58:29 EDT
This keyboard configuration is already stored per-host, so it should work.

If you look in gconf-editor under
/desktop/gnome/peripherals/keyboard
you see the subdirectories for each host
Comment 2 Bug Zapper 2008-04-03 13:06:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:25:53 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.